#!/bin/bash

# FIXME: This is written for expediency to kickstart running dynamut, mcsm-PPI2 (batch pf 50) and mCSM-NA (batch of 20)

# Usage: ~/git/LSHTM_analysis/dynamut/split_csv.sh <input file> <output dir> <chunk size in lines>
# copy your snp file to split into the dynamut dir
# use sed to add chain ID to snp file and then split to avoid post processing

INFILE=$1
OUTDIR=$2
CHUNK=$3

mkdir -p ${OUTDIR}/${CHUNK}/chain_added
cd ${OUTDIR}/${CHUNK}/chain_added

# makes the 3 dirs, hence ../..
split ../../../${INFILE} -l ${CHUNK} -d snp_batch_

########################################################################
# use cases

# Date: 29/10/2021, 5UHC (for rifampicin)
~/git/LSHTM_analysis/mcsm_na/split_csv_chain.sh rpob_mcsm_formatted_snps_chain.csv snp_batches 20    
  
# add .txt to the files
for i in {00..56}; do mv snp_batch_${i} snp_batch_${i}_chain.txt; done
########################################################################
